create or replace trigger speed_traps_bri
before insert on speed_traps for each row
begin
  if :new.id is null
  then
    select SPEED_TRAPS_SEQ.NEXTVAL into :new.id from dual;
  end if;
  if :new.creation_date is null
  then
    :new.creation_date := sysdate;
  end if;
end;
/

